Index: src/wp-includes/class-http.php
===================================================================
--- src/wp-includes/class-http.php	(revision 38247)
+++ src/wp-includes/class-http.php	(working copy)
@@ -453,121 +453,30 @@ class WP_Http {
 	 * @static
 	 *
 	 * @param string            $location URL to redirect to.
 	 * @param array             $headers  Headers for the redirect.
 	 * @param array             $options  Redirect request options.
 	 * @param Requests_Response $original Response object.
 	 */
 	public static function browser_redirect_compatibility( $location, $headers, $data, &$options, $original ) {
 		// Browser compat
 		if ( $original->status_code === 302 ) {
 			$options['type'] = Requests::GET;
 		}
 	}
 
 	/**
-	 * Tests which transports are capable of supporting the request.
-	 *
-	 * @since 3.2.0
-	 * @access public
-	 *
-	 * @param array $args Request arguments
-	 * @param string $url URL to Request
-	 *
-	 * @return string|false Class name for the first transport that claims to support the request. False if no transport claims to support the request.
-	 */
-	public function _get_first_available_transport( $args, $url = null ) {
-		$transports = array( 'curl', 'streams' );
-
-		/**
-		 * Filters which HTTP transports are available and in what order.
-		 *
-		 * @since 3.7.0
-		 *
-		 * @param array  $transports Array of HTTP transports to check. Default array contains
-		 *                           'curl', and 'streams', in that order.
-		 * @param array  $args       HTTP request arguments.
-		 * @param string $url        The URL to request.
-		 */
-		$request_order = apply_filters( 'http_api_transports', $transports, $args, $url );
-
-		// Loop over each transport on each HTTP request looking for one which will serve this request's needs.
-		foreach ( $request_order as $transport ) {
-			if ( in_array( $transport, $transports ) ) {
-				$transport = ucfirst( $transport );
-			}
-			$class = 'WP_Http_' . $transport;
-
-			// Check to see if this transport is a possibility, calls the transport statically.
-			if ( !call_user_func( array( $class, 'test' ), $args, $url ) )
-				continue;
-
-			return $class;
-		}
-
-		return false;
-	}
-
-	/**
-	 * Dispatches a HTTP request to a supporting transport.
-	 *
-	 * Tests each transport in order to find a transport which matches the request arguments.
-	 * Also caches the transport instance to be used later.
-	 *
-	 * The order for requests is cURL, and then PHP Streams.
-	 *
-	 * @since 3.2.0
-	 *
-	 * @static
-	 * @access private
-	 *
-	 * @param string $url URL to Request
-	 * @param array $args Request arguments
-	 * @return array|WP_Error Array containing 'headers', 'body', 'response', 'cookies', 'filename'. A WP_Error instance upon error
-	 */
-	private function _dispatch_request( $url, $args ) {
-		static $transports = array();
-
-		$class = $this->_get_first_available_transport( $args, $url );
-		if ( !$class )
-			return new WP_Error( 'http_failure', __( 'There are no HTTP transports available which can complete the requested request.' ) );
-
-		// Transport claims to support request, instantiate it and give it a whirl.
-		if ( empty( $transports[$class] ) )
-			$transports[$class] = new $class;
-
-		$response = $transports[$class]->request( $url, $args );
-
-		/** This action is documented in wp-includes/class-http.php */
-		do_action( 'http_api_debug', $response, 'response', $class, $args, $url );
-
-		if ( is_wp_error( $response ) )
-			return $response;
-
-		/**
-		 * Filters the HTTP API response immediately before the response is returned.
-		 *
-		 * @since 2.9.0
-		 *
-		 * @param array  $response HTTP response.
-		 * @param array  $args     HTTP request arguments.
-		 * @param string $url      The request URL.
-		 */
-		return apply_filters( 'http_response', $response, $args, $url );
-	}
-
-	/**
 	 * Uses the POST HTTP method.
 	 *
 	 * Used for sending data that is expected to be in the body.
 	 *
 	 * @access public
 	 * @since 2.7.0
 	 *
 	 * @param string       $url  The request URL.
 	 * @param string|array $args Optional. Override the defaults.
 	 * @return array|WP_Error Array containing 'headers', 'body', 'response', 'cookies', 'filename'. A WP_Error instance upon error
 	 */
 	public function post($url, $args = array()) {
 		$defaults = array('method' => 'POST');
 		$r = wp_parse_args( $args, $defaults );
 		return $this->request($url, $r);
@@ -598,46 +507,30 @@ class WP_Http {
 	 *
 	 * @access public
 	 * @since 2.7.0
 	 *
 	 * @param string $url The request URL.
 	 * @param string|array $args Optional. Override the defaults.
 	 * @return array|WP_Error Array containing 'headers', 'body', 'response', 'cookies', 'filename'. A WP_Error instance upon error
 	 */
 	public function head($url, $args = array()) {
 		$defaults = array('method' => 'HEAD');
 		$r = wp_parse_args( $args, $defaults );
 		return $this->request($url, $r);
 	}
 
 	/**
-	 * Parses the responses and splits the parts into headers and body.
-	 *
-	 * @access public
-	 * @static
-	 * @since 2.7.0
-	 *
-	 * @param string $strResponse The full response string
-	 * @return array Array with 'headers' and 'body' keys.
-	 */
-	public static function processResponse($strResponse) {
-		$res = explode("\r\n\r\n", $strResponse, 2);
-
-		return array('headers' => $res[0], 'body' => isset($res[1]) ? $res[1] : '');
-	}
-
-	/**
 	 * Transform header string into an array.
 	 *
 	 * If an array is given then it is assumed to be raw header data with numeric keys with the
 	 * headers as the values. No headers must be passed that were already processed.
 	 *
 	 * @access public
 	 * @static
 	 * @since 2.7.0
 	 *
 	 * @param string|array $headers
 	 * @param string $url The URL that was requested
 	 * @return array Processed string headers. If duplicate headers are encountered,
 	 * 					Then a numbered array is returned as the value of that header-key.
 	 */
 	public static function processHeaders( $headers, $url = '' ) {
@@ -691,105 +584,30 @@ class WP_Http {
 				$newheaders[ $key ][] = $value;
 			} else {
 				$newheaders[ $key ] = $value;
 			}
 			if ( 'set-cookie' == $key )
 				$cookies[] = new WP_Http_Cookie( $value, $url );
 		}
 
 		// Cast the Response Code to an int
 		$response['code'] = intval( $response['code'] );
 
 		return array('response' => $response, 'headers' => $newheaders, 'cookies' => $cookies);
 	}
 
 	/**
-	 * Takes the arguments for a ::request() and checks for the cookie array.
-	 *
-	 * If it's found, then it upgrades any basic name => value pairs to WP_Http_Cookie instances,
-	 * which are each parsed into strings and added to the Cookie: header (within the arguments array).
-	 * Edits the array by reference.
-	 *
-	 * @access public
-	 * @version 2.8.0
-	 * @static
-	 *
-	 * @param array $r Full array of args passed into ::request()
-	 */
-	public static function buildCookieHeader( &$r ) {
-		if ( ! empty($r['cookies']) ) {
-			// Upgrade any name => value cookie pairs to WP_HTTP_Cookie instances.
-			foreach ( $r['cookies'] as $name => $value ) {
-				if ( ! is_object( $value ) )
-					$r['cookies'][ $name ] = new WP_Http_Cookie( array( 'name' => $name, 'value' => $value ) );
-			}
-
-			$cookies_header = '';
-			foreach ( (array) $r['cookies'] as $cookie ) {
-				$cookies_header .= $cookie->getHeaderValue() . '; ';
-			}
-
-			$cookies_header = substr( $cookies_header, 0, -2 );
-			$r['headers']['cookie'] = $cookies_header;
-		}
-	}
-
-	/**
-	 * Decodes chunk transfer-encoding, based off the HTTP 1.1 specification.
-	 *
-	 * Based off the HTTP http_encoding_dechunk function.
-	 *
-	 * @link https://tools.ietf.org/html/rfc2616#section-19.4.6 Process for chunked decoding.
-	 *
-	 * @access public
-	 * @since 2.7.0
-	 * @static
-	 *
-	 * @param string $body Body content
-	 * @return string Chunked decoded body on success or raw body on failure.
-	 */
-	public static function chunkTransferDecode( $body ) {
-		// The body is not chunked encoded or is malformed.
-		if ( ! preg_match( '/^([0-9a-f]+)[^\r\n]*\r\n/i', trim( $body ) ) )
-			return $body;
-
-		$parsed_body = '';
-
-		// We'll be altering $body, so need a backup in case of error.
-		$body_original = $body;
-
-		while ( true ) {
-			$has_chunk = (bool) preg_match( '/^([0-9a-f]+)[^\r\n]*\r\n/i', $body, $match );
-			if ( ! $has_chunk || empty( $match[1] ) )
-				return $body_original;
-
-			$length = hexdec( $match[1] );
-			$chunk_length = strlen( $match[0] );
-
-			// Parse out the chunk of data.
-			$parsed_body .= substr( $body, $chunk_length, $length );
-
-			// Remove the chunk from the raw data.
-			$body = substr( $body, $length + $chunk_length );
-
-			// End of the document.
-			if ( '0' === trim( $body ) )
-				return $parsed_body;
-		}
-	}
-
-	/**
 	 * Block requests through the proxy.
 	 *
 	 * Those who are behind a proxy and want to prevent access to certain hosts may do so. This will
 	 * prevent plugins from working and core functionality, if you don't include api.wordpress.org.
 	 *
 	 * You block external URL requests by defining WP_HTTP_BLOCK_EXTERNAL as true in your wp-config.php
 	 * file and this will only allow localhost and your site to make requests. The constant
 	 * WP_ACCESSIBLE_HOSTS will allow additional hosts to go through for requests. The format of the
 	 * WP_ACCESSIBLE_HOSTS constant is a comma separated list of hostnames to allow, wildcard domains
 	 * are supported, eg *.wordpress.org will allow for all subdomains of wordpress.org to be contacted.
 	 *
 	 * @since 2.8.0
 	 * @link https://core.trac.wordpress.org/ticket/8927 Allow preventing external requests.
 	 * @link https://core.trac.wordpress.org/ticket/14636 Allow wildcard domains in WP_ACCESSIBLE_HOSTS
 	 *
@@ -835,46 +653,30 @@ class WP_Http {
 				$wildcard_regex = array();
 				foreach ( $accessible_hosts as $host )
 					$wildcard_regex[] = str_replace( '\*', '.+', preg_quote( $host, '/' ) );
 				$wildcard_regex = '/^(' . implode('|', $wildcard_regex) . ')$/i';
 			}
 		}
 
 		if ( !empty($wildcard_regex) )
 			return !preg_match($wildcard_regex, $check['host']);
 		else
 			return !in_array( $check['host'], $accessible_hosts ); //Inverse logic, If it's in the array, then we can't access it.
 
 	}
 
 	/**
-	 * Used as a wrapper for PHP's parse_url() function that handles edgecases in < PHP 5.4.7.
-	 *
-	 * @access protected
-	 * @deprecated 4.4.0 Use wp_parse_url()
-	 * @see wp_parse_url()
-	 *
-	 * @param string $url The URL to parse.
-	 * @return bool|array False on failure; Array of URL components on success;
-	 *                    See parse_url()'s return values.
-	 */
-	protected static function parse_url( $url ) {
-		_deprecated_function( __METHOD__, '4.4.0', 'wp_parse_url()' );
-		return wp_parse_url( $url );
-	}
-
-	/**
 	 * Converts a relative URL to an absolute URL relative to a given URL.
 	 *
 	 * If an Absolute URL is provided, no processing of that URL is done.
 	 *
 	 * @since 3.4.0
 	 *
 	 * @static
 	 * @access public
 	 *
 	 * @param string $maybe_relative_path The URL which might be relative
 	 * @param string $url                 The URL which $maybe_relative_path is relative to
 	 * @return string An Absolute URL, in a failure condition where the URL cannot be parsed, the relative URL will be returned.
 	 */
 	public static function make_absolute_url( $maybe_relative_path, $url ) {
 		if ( empty( $url ) )
@@ -925,92 +727,16 @@ class WP_Http {
 			while ( strpos( $path, '../' ) > 1 ) {
 				$path = preg_replace( '![^/]+/\.\./!', '', $path );
 			}
 
 			// Strip any final leading ../ from the path.
 			$path = preg_replace( '!^/(\.\./)+!', '', $path );
 		}
 
 		// Add the Query string.
 		if ( ! empty( $relative_url_parts['query'] ) )
 			$path .= '?' . $relative_url_parts['query'];
 
 		return $absolute_path . '/' . ltrim( $path, '/' );
 	}
 
-	/**
-	 * Handles HTTP Redirects and follows them if appropriate.
-	 *
-	 * @since 3.7.0
-	 *
-	 * @static
-	 *
-	 * @param string $url The URL which was requested.
-	 * @param array $args The Arguments which were used to make the request.
-	 * @param array $response The Response of the HTTP request.
-	 * @return false|object False if no redirect is present, a WP_HTTP or WP_Error result otherwise.
-	 */
-	public static function handle_redirects( $url, $args, $response ) {
-		// If no redirects are present, or, redirects were not requested, perform no action.
-		if ( ! isset( $response['headers']['location'] ) || 0 === $args['_redirection'] )
-			return false;
-
-		// Only perform redirections on redirection http codes.
-		if ( $response['response']['code'] > 399 || $response['response']['code'] < 300 )
-			return false;
-
-		// Don't redirect if we've run out of redirects.
-		if ( $args['redirection']-- <= 0 )
-			return new WP_Error( 'http_request_failed', __('Too many redirects.') );
-
-		$redirect_location = $response['headers']['location'];
-
-		// If there were multiple Location headers, use the last header specified.
-		if ( is_array( $redirect_location ) )
-			$redirect_location = array_pop( $redirect_location );
-
-		$redirect_location = WP_Http::make_absolute_url( $redirect_location, $url );
-
-		// POST requests should not POST to a redirected location.
-		if ( 'POST' == $args['method'] ) {
-			if ( in_array( $response['response']['code'], array( 302, 303 ) ) )
-				$args['method'] = 'GET';
-		}
-
-		// Include valid cookies in the redirect process.
-		if ( ! empty( $response['cookies'] ) ) {
-			foreach ( $response['cookies'] as $cookie ) {
-				if ( $cookie->test( $redirect_location ) )
-					$args['cookies'][] = $cookie;
-			}
-		}
-
-		return wp_remote_request( $redirect_location, $args );
-	}
-
-	/**
-	 * Determines if a specified string represents an IP address or not.
-	 *
-	 * This function also detects the type of the IP address, returning either
-	 * '4' or '6' to represent a IPv4 and IPv6 address respectively.
-	 * This does not verify if the IP is a valid IP, only that it appears to be
-	 * an IP address.
-	 *
-	 * @link http://home.deds.nl/~aeron/regex/ for IPv6 regex
-	 *
-	 * @since 3.7.0
-	 * @static
-	 *
-	 * @param string $maybe_ip A suspected IP address
-	 * @return integer|bool Upon success, '4' or '6' to represent a IPv4 or IPv6 address, false upon failure
-	 */
-	public static function is_ip_address( $maybe_ip ) {
-		if ( preg_match( '/^\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}$/', $maybe_ip ) )
-			return 4;
-
-		if ( false !== strpos( $maybe_ip, ':' ) && preg_match( '/^(((?=.*(::))(?!.*\3.+\3))\3?|([\dA-F]{1,4}(\3|:\b|$)|\2))(?4){5}((?4){2}|(((2[0-4]|1\d|[1-9])?\d|25[0-5])\.?\b){4})$/i', trim( $maybe_ip, ' []' ) ) )
-			return 6;
-
-		return false;
-	}
-
 }
Index: src/wp-includes/http.php
===================================================================
--- src/wp-includes/http.php	(revision 38247)
+++ src/wp-includes/http.php	(working copy)
@@ -350,49 +350,32 @@ function wp_remote_retrieve_cookie_value
 	return $cookie->value;
 }
 
 /**
  * Determines if there is an HTTP Transport that can process this request.
  *
  * @since 3.2.0
  *
  * @param array  $capabilities Array of capabilities to test or a wp_remote_request() $args array.
  * @param string $url          Optional. If given, will check if the URL requires SSL and adds
  *                             that requirement to the capabilities array.
  *
  * @return bool
  */
 function wp_http_supports( $capabilities = array(), $url = null ) {
-	$http = _wp_http_get_object();
-
-	$capabilities = wp_parse_args( $capabilities );
-
-	$count = count( $capabilities );
-
-	// If we have a numeric $capabilities array, spoof a wp_remote_request() associative $args array
-	if ( $count && count( array_filter( array_keys( $capabilities ), 'is_numeric' ) ) == $count ) {
-		$capabilities = array_combine( array_values( $capabilities ), array_fill( 0, $count, true ) );
-	}
-
-	if ( $url && !isset( $capabilities['ssl'] ) ) {
-		$scheme = parse_url( $url, PHP_URL_SCHEME );
-		if ( 'https' == $scheme || 'ssl' == $scheme ) {
-			$capabilities['ssl'] = true;
-		}
-	}
-
-	return (bool) $http->_get_first_available_transport( $capabilities );
+	// TODO: This doesn't reflect what Requests can handle.
+	return true;
 }
 
 /**
  * Get the HTTP Origin of the current request.
  *
  * @since 3.4.0
  *
  * @return string URL of the origin. Empty string if no origin.
  */
 function get_http_origin() {
 	$origin = '';
 	if ( ! empty ( $_SERVER[ 'HTTP_ORIGIN' ] ) )
 		$origin = $_SERVER[ 'HTTP_ORIGIN' ];
 
 	/**
Index: src/wp-settings.php
===================================================================
--- src/wp-settings.php	(revision 38247)
+++ src/wp-settings.php	(working copy)
@@ -184,35 +184,32 @@ require( ABSPATH . WPINC . '/cron.php' )
 require( ABSPATH . WPINC . '/deprecated.php' );
 require( ABSPATH . WPINC . '/script-loader.php' );
 require( ABSPATH . WPINC . '/taxonomy.php' );
 require( ABSPATH . WPINC . '/class-wp-term.php' );
 require( ABSPATH . WPINC . '/class-wp-term-query.php' );
 require( ABSPATH . WPINC . '/class-wp-tax-query.php' );
 require( ABSPATH . WPINC . '/update.php' );
 require( ABSPATH . WPINC . '/canonical.php' );
 require( ABSPATH . WPINC . '/shortcodes.php' );
 require( ABSPATH . WPINC . '/embed.php' );
 require( ABSPATH . WPINC . '/class-wp-embed.php' );
 require( ABSPATH . WPINC . '/class-wp-oembed-controller.php' );
 require( ABSPATH . WPINC . '/media.php' );
 require( ABSPATH . WPINC . '/http.php' );
 require( ABSPATH . WPINC . '/class-http.php' );
-require( ABSPATH . WPINC . '/class-wp-http-streams.php' );
-require( ABSPATH . WPINC . '/class-wp-http-curl.php' );
 require( ABSPATH . WPINC . '/class-wp-http-proxy.php' );
 require( ABSPATH . WPINC . '/class-wp-http-cookie.php' );
-require( ABSPATH . WPINC . '/class-wp-http-encoding.php' );
 require( ABSPATH . WPINC . '/class-wp-http-response.php' );
 require( ABSPATH . WPINC . '/class-wp-http-requests-response.php' );
 require( ABSPATH . WPINC . '/widgets.php' );
 require( ABSPATH . WPINC . '/class-wp-widget.php' );
 require( ABSPATH . WPINC . '/class-wp-widget-factory.php' );
 require( ABSPATH . WPINC . '/nav-menu.php' );
 require( ABSPATH . WPINC . '/nav-menu-template.php' );
 require( ABSPATH . WPINC . '/admin-bar.php' );
 require( ABSPATH . WPINC . '/rest-api.php' );
 require( ABSPATH . WPINC . '/rest-api/class-wp-rest-server.php' );
 require( ABSPATH . WPINC . '/rest-api/class-wp-rest-response.php' );
 require( ABSPATH . WPINC . '/rest-api/class-wp-rest-request.php' );
 
 // Load multisite-specific files.
 if ( is_multisite() ) {
Index: src/wp-includes/class-wp-http-curl.php
===================================================================
--- src/wp-includes/class-wp-http-curl.php	(revision 38247)
+++ src/wp-includes/class-wp-http-curl.php	(working copy)
@@ -1,385 +0,0 @@
-<?php
-/**
- * HTTP API: WP_Http_Curl class
- *
- * @package WordPress
- * @subpackage HTTP
- * @since 4.4.0
- */
-
-/**
- * Core class used to integrate Curl as an HTTP transport.
- *
- * HTTP request method uses Curl extension to retrieve the url.
- *
- * Requires the Curl extension to be installed.
- *
- * @since 2.7.0
- */
-class WP_Http_Curl {
-
-	/**
-	 * Temporary header storage for during requests.
-	 *
-	 * @since 3.2.0
-	 * @access private
-	 * @var string
-	 */
-	private $headers = '';
-
-	/**
-	 * Temporary body storage for during requests.
-	 *
-	 * @since 3.6.0
-	 * @access private
-	 * @var string
-	 */
-	private $body = '';
-
-	/**
-	 * The maximum amount of data to receive from the remote server.
-	 *
-	 * @since 3.6.0
-	 * @access private
-	 * @var int
-	 */
-	private $max_body_length = false;
-
-	/**
-	 * The file resource used for streaming to file.
-	 *
-	 * @since 3.6.0
-	 * @access private
-	 * @var resource
-	 */
-	private $stream_handle = false;
-
-	/**
-	 * The total bytes written in the current request.
-	 *
-	 * @since 4.1.0
-	 * @access private
-	 * @var int
-	 */
-	private $bytes_written_total = 0;
-
-	/**
-	 * Send a HTTP request to a URI using cURL extension.
-	 *
-	 * @access public
-	 * @since 2.7.0
-	 *
-	 * @param string $url The request URL.
-	 * @param string|array $args Optional. Override the defaults.
-	 * @return array|WP_Error Array containing 'headers', 'body', 'response', 'cookies', 'filename'. A WP_Error instance upon error
-	 */
-	public function request($url, $args = array()) {
-		$defaults = array(
-			'method' => 'GET', 'timeout' => 5,
-			'redirection' => 5, 'httpversion' => '1.0',
-			'blocking' => true,
-			'headers' => array(), 'body' => null, 'cookies' => array()
-		);
-
-		$r = wp_parse_args( $args, $defaults );
-
-		if ( isset( $r['headers']['User-Agent'] ) ) {
-			$r['user-agent'] = $r['headers']['User-Agent'];
-			unset( $r['headers']['User-Agent'] );
-		} elseif ( isset( $r['headers']['user-agent'] ) ) {
-			$r['user-agent'] = $r['headers']['user-agent'];
-			unset( $r['headers']['user-agent'] );
-		}
-
-		// Construct Cookie: header if any cookies are set.
-		WP_Http::buildCookieHeader( $r );
-
-		$handle = curl_init();
-
-		// cURL offers really easy proxy support.
-		$proxy = new WP_HTTP_Proxy();
-
-		if ( $proxy->is_enabled() && $proxy->send_through_proxy( $url ) ) {
-
-			curl_setopt( $handle, CURLOPT_PROXYTYPE, CURLPROXY_HTTP );
-			curl_setopt( $handle, CURLOPT_PROXY, $proxy->host() );
-			curl_setopt( $handle, CURLOPT_PROXYPORT, $proxy->port() );
-
-			if ( $proxy->use_authentication() ) {
-				curl_setopt( $handle, CURLOPT_PROXYAUTH, CURLAUTH_ANY );
-				curl_setopt( $handle, CURLOPT_PROXYUSERPWD, $proxy->authentication() );
-			}
-		}
-
-		$is_local = isset($r['local']) && $r['local'];
-		$ssl_verify = isset($r['sslverify']) && $r['sslverify'];
-		if ( $is_local ) {
-			/** This filter is documented in wp-includes/class-wp-http-streams.php */
-			$ssl_verify = apply_filters( 'https_local_ssl_verify', $ssl_verify );
-		} elseif ( ! $is_local ) {
-			/** This filter is documented in wp-includes/class-wp-http-streams.php */
-			$ssl_verify = apply_filters( 'https_ssl_verify', $ssl_verify );
-		}
-
-		/*
-		 * CURLOPT_TIMEOUT and CURLOPT_CONNECTTIMEOUT expect integers. Have to use ceil since.
-		 * a value of 0 will allow an unlimited timeout.
-		 */
-		$timeout = (int) ceil( $r['timeout'] );
-		curl_setopt( $handle, CURLOPT_CONNECTTIMEOUT, $timeout );
-		curl_setopt( $handle, CURLOPT_TIMEOUT, $timeout );
-
-		curl_setopt( $handle, CURLOPT_URL, $url);
-		curl_setopt( $handle, CURLOPT_RETURNTRANSFER, true );
-		curl_setopt( $handle, CURLOPT_SSL_VERIFYHOST, ( $ssl_verify === true ) ? 2 : false );
-		curl_setopt( $handle, CURLOPT_SSL_VERIFYPEER, $ssl_verify );
-
-		if ( $ssl_verify ) {
-			curl_setopt( $handle, CURLOPT_CAINFO, $r['sslcertificates'] );
-		}
-
-		curl_setopt( $handle, CURLOPT_USERAGENT, $r['user-agent'] );
-
-		/*
-		 * The option doesn't work with safe mode or when open_basedir is set, and there's
-		 * a bug #17490 with redirected POST requests, so handle redirections outside Curl.
-		 */
-		curl_setopt( $handle, CURLOPT_FOLLOWLOCATION, false );
-		if ( defined( 'CURLOPT_PROTOCOLS' ) ) // PHP 5.2.10 / cURL 7.19.4
-			curl_setopt( $handle, CURLOPT_PROTOCOLS, CURLPROTO_HTTP | CURLPROTO_HTTPS );
-
-		switch ( $r['method'] ) {
-			case 'HEAD':
-				curl_setopt( $handle, CURLOPT_NOBODY, true );
-				break;
-			case 'POST':
-				curl_setopt( $handle, CURLOPT_POST, true );
-				curl_setopt( $handle, CURLOPT_POSTFIELDS, $r['body'] );
-				break;
-			case 'PUT':
-				curl_setopt( $handle, CURLOPT_CUSTOMREQUEST, 'PUT' );
-				curl_setopt( $handle, CURLOPT_POSTFIELDS, $r['body'] );
-				break;
-			default:
-				curl_setopt( $handle, CURLOPT_CUSTOMREQUEST, $r['method'] );
-				if ( ! is_null( $r['body'] ) )
-					curl_setopt( $handle, CURLOPT_POSTFIELDS, $r['body'] );
-				break;
-		}
-
-		if ( true === $r['blocking'] ) {
-			curl_setopt( $handle, CURLOPT_HEADERFUNCTION, array( $this, 'stream_headers' ) );
-			curl_setopt( $handle, CURLOPT_WRITEFUNCTION, array( $this, 'stream_body' ) );
-		}
-
-		curl_setopt( $handle, CURLOPT_HEADER, false );
-
-		if ( isset( $r['limit_response_size'] ) )
-			$this->max_body_length = intval( $r['limit_response_size'] );
-		else
-			$this->max_body_length = false;
-
-		// If streaming to a file open a file handle, and setup our curl streaming handler.
-		if ( $r['stream'] ) {
-			if ( ! WP_DEBUG )
-				$this->stream_handle = @fopen( $r['filename'], 'w+' );
-			else
-				$this->stream_handle = fopen( $r['filename'], 'w+' );
-			if ( ! $this->stream_handle )
-				return new WP_Error( 'http_request_failed', sprintf( __( 'Could not open handle for fopen() to %s' ), $r['filename'] ) );
-		} else {
-			$this->stream_handle = false;
-		}
-
-		if ( !empty( $r['headers'] ) ) {
-			// cURL expects full header strings in each element.
-			$headers = array();
-			foreach ( $r['headers'] as $name => $value ) {
-				$headers[] = "{$name}: $value";
-			}
-			curl_setopt( $handle, CURLOPT_HTTPHEADER, $headers );
-		}
-
-		if ( $r['httpversion'] == '1.0' )
-			curl_setopt( $handle, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_0 );
-		else
-			curl_setopt( $handle, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1 );
-
-		/**
-		 * Fires before the cURL request is executed.
-		 *
-		 * Cookies are not currently handled by the HTTP API. This action allows
-		 * plugins to handle cookies themselves.
-		 *
-		 * @since 2.8.0
-		 *
-		 * @param resource &$handle The cURL handle returned by curl_init().
-		 * @param array    $r       The HTTP request arguments.
-		 * @param string   $url     The request URL.
-		 */
-		do_action_ref_array( 'http_api_curl', array( &$handle, $r, $url ) );
-
-		// We don't need to return the body, so don't. Just execute request and return.
-		if ( ! $r['blocking'] ) {
-			curl_exec( $handle );
-
-			if ( $curl_error = curl_error( $handle ) ) {
-				curl_close( $handle );
-				return new WP_Error( 'http_request_failed', $curl_error );
-			}
-			if ( in_array( curl_getinfo( $handle, CURLINFO_HTTP_CODE ), array( 301, 302 ) ) ) {
-				curl_close( $handle );
-				return new WP_Error( 'http_request_failed', __( 'Too many redirects.' ) );
-			}
-
-			curl_close( $handle );
-			return array( 'headers' => array(), 'body' => '', 'response' => array('code' => false, 'message' => false), 'cookies' => array() );
-		}
-
-		curl_exec( $handle );
-		$theHeaders = WP_Http::processHeaders( $this->headers, $url );
-		$theBody = $this->body;
-		$bytes_written_total = $this->bytes_written_total;
-
-		$this->headers = '';
-		$this->body = '';
-		$this->bytes_written_total = 0;
-
-		$curl_error = curl_errno( $handle );
-
-		// If an error occurred, or, no response.
-		if ( $curl_error || ( 0 == strlen( $theBody ) && empty( $theHeaders['headers'] ) ) ) {
-			if ( CURLE_WRITE_ERROR /* 23 */ == $curl_error ) {
-				if ( ! $this->max_body_length || $this->max_body_length != $bytes_written_total ) {
-					if ( $r['stream'] ) {
-						curl_close( $handle );
-						fclose( $this->stream_handle );
-						return new WP_Error( 'http_request_failed', __( 'Failed to write request to temporary file.' ) );
-					} else {
-						curl_close( $handle );
-						return new WP_Error( 'http_request_failed', curl_error( $handle ) );
-					}
-				}
-			} else {
-				if ( $curl_error = curl_error( $handle ) ) {
-					curl_close( $handle );
-					return new WP_Error( 'http_request_failed', $curl_error );
-				}
-			}
-			if ( in_array( curl_getinfo( $handle, CURLINFO_HTTP_CODE ), array( 301, 302 ) ) ) {
-				curl_close( $handle );
-				return new WP_Error( 'http_request_failed', __( 'Too many redirects.' ) );
-			}
-		}
-
-		curl_close( $handle );
-
-		if ( $r['stream'] )
-			fclose( $this->stream_handle );
-
-		$response = array(
-			'headers' => $theHeaders['headers'],
-			'body' => null,
-			'response' => $theHeaders['response'],
-			'cookies' => $theHeaders['cookies'],
-			'filename' => $r['filename']
-		);
-
-		// Handle redirects.
-		if ( false !== ( $redirect_response = WP_HTTP::handle_redirects( $url, $r, $response ) ) )
-			return $redirect_response;
-
-		if ( true === $r['decompress'] && true === WP_Http_Encoding::should_decode($theHeaders['headers']) )
-			$theBody = WP_Http_Encoding::decompress( $theBody );
-
-		$response['body'] = $theBody;
-
-		return $response;
-	}
-
-	/**
-	 * Grabs the headers of the cURL request.
-	 *
-	 * Each header is sent individually to this callback, so we append to the `$header` property
-	 * for temporary storage
-	 *
-	 * @since 3.2.0
-	 * @access private
-	 *
-	 * @param resource $handle  cURL handle.
-	 * @param string   $headers cURL request headers.
-	 * @return int Length of the request headers.
-	 */
-	private function stream_headers( $handle, $headers ) {
-		$this->headers .= $headers;
-		return strlen( $headers );
-	}
-
-	/**
-	 * Grabs the body of the cURL request.
-	 *
-	 * The contents of the document are passed in chunks, so we append to the `$body`
-	 * property for temporary storage. Returning a length shorter than the length of
-	 * `$data` passed in will cause cURL to abort the request with `CURLE_WRITE_ERROR`.
-	 *
-	 * @since 3.6.0
-	 * @access private
-	 *
-	 * @param resource $handle  cURL handle.
-	 * @param string   $data    cURL request body.
-	 * @return int Total bytes of data written.
-	 */
-	private function stream_body( $handle, $data ) {
-		$data_length = strlen( $data );
-
-		if ( $this->max_body_length && ( $this->bytes_written_total + $data_length ) > $this->max_body_length ) {
-			$data_length = ( $this->max_body_length - $this->bytes_written_total );
-			$data = substr( $data, 0, $data_length );
-		}
-
-		if ( $this->stream_handle ) {
-			$bytes_written = fwrite( $this->stream_handle, $data );
-		} else {
-			$this->body .= $data;
-			$bytes_written = $data_length;
-		}
-
-		$this->bytes_written_total += $bytes_written;
-
-		// Upon event of this function returning less than strlen( $data ) curl will error with CURLE_WRITE_ERROR.
-		return $bytes_written;
-	}
-
-	/**
-	 * Determines whether this class can be used for retrieving a URL.
-	 *
-	 * @static
-	 * @since 2.7.0
-	 *
-	 * @param array $args Optional. Array of request arguments. Default empty array.
-	 * @return bool False means this class can not be used, true means it can.
-	 */
-	public static function test( $args = array() ) {
-		if ( ! function_exists( 'curl_init' ) || ! function_exists( 'curl_exec' ) )
-			return false;
-
-		$is_ssl = isset( $args['ssl'] ) && $args['ssl'];
-
-		if ( $is_ssl ) {
-			$curl_version = curl_version();
-			// Check whether this cURL version support SSL requests.
-			if ( ! (CURL_VERSION_SSL & $curl_version['features']) )
-				return false;
-		}
-
-		/**
-		 * Filters whether cURL can be used as a transport for retrieving a URL.
-		 *
-		 * @since 2.7.0
-		 *
-		 * @param bool  $use_class Whether the class can be used. Default true.
-		 * @param array $args      An array of request arguments.
-		 */
-		return apply_filters( 'use_curl_transport', true, $args );
-	}
-}
Index: src/wp-includes/class-wp-http-streams.php
===================================================================
--- src/wp-includes/class-wp-http-streams.php	(revision 38247)
+++ src/wp-includes/class-wp-http-streams.php	(working copy)
@@ -1,428 +0,0 @@
-<?php
-/**
- * HTTP API: WP_Http_Streams class
- *
- * @package WordPress
- * @subpackage HTTP
- * @since 4.4.0
- */
-
-/**
- * Core class used to integrate PHP Streams as an HTTP transport.
- *
- * @since 2.7.0
- * @since 3.7.0 Combined with the fsockopen transport and switched to `stream_socket_client()`.
- */
-class WP_Http_Streams {
-	/**
-	 * Send a HTTP request to a URI using PHP Streams.
-	 *
-	 * @see WP_Http::request For default options descriptions.
-	 *
-	 * @since 2.7.0
-	 * @since 3.7.0 Combined with the fsockopen transport and switched to stream_socket_client().
-	 *
-	 * @access public
-	 * @param string $url The request URL.
-	 * @param string|array $args Optional. Override the defaults.
-	 * @return array|WP_Error Array containing 'headers', 'body', 'response', 'cookies', 'filename'. A WP_Error instance upon error
-	 */
-	public function request($url, $args = array()) {
-		$defaults = array(
-			'method' => 'GET', 'timeout' => 5,
-			'redirection' => 5, 'httpversion' => '1.0',
-			'blocking' => true,
-			'headers' => array(), 'body' => null, 'cookies' => array()
-		);
-
-		$r = wp_parse_args( $args, $defaults );
-
-		if ( isset( $r['headers']['User-Agent'] ) ) {
-			$r['user-agent'] = $r['headers']['User-Agent'];
-			unset( $r['headers']['User-Agent'] );
-		} elseif ( isset( $r['headers']['user-agent'] ) ) {
-			$r['user-agent'] = $r['headers']['user-agent'];
-			unset( $r['headers']['user-agent'] );
-		}
-
-		// Construct Cookie: header if any cookies are set.
-		WP_Http::buildCookieHeader( $r );
-
-		$arrURL = parse_url($url);
-
-		$connect_host = $arrURL['host'];
-
-		$secure_transport = ( $arrURL['scheme'] == 'ssl' || $arrURL['scheme'] == 'https' );
-		if ( ! isset( $arrURL['port'] ) ) {
-			if ( $arrURL['scheme'] == 'ssl' || $arrURL['scheme'] == 'https' ) {
-				$arrURL['port'] = 443;
-				$secure_transport = true;
-			} else {
-				$arrURL['port'] = 80;
-			}
-		}
-
-		// Always pass a Path, defaulting to the root in cases such as http://example.com
-		if ( ! isset( $arrURL['path'] ) ) {
-			$arrURL['path'] = '/';
-		}
-
-		if ( isset( $r['headers']['Host'] ) || isset( $r['headers']['host'] ) ) {
-			if ( isset( $r['headers']['Host'] ) )
-				$arrURL['host'] = $r['headers']['Host'];
-			else
-				$arrURL['host'] = $r['headers']['host'];
-			unset( $r['headers']['Host'], $r['headers']['host'] );
-		}
-
-		/*
-		 * Certain versions of PHP have issues with 'localhost' and IPv6, It attempts to connect
-		 * to ::1, which fails when the server is not set up for it. For compatibility, always
-		 * connect to the IPv4 address.
-		 */
-		if ( 'localhost' == strtolower( $connect_host ) )
-			$connect_host = '127.0.0.1';
-
-		$connect_host = $secure_transport ? 'ssl://' . $connect_host : 'tcp://' . $connect_host;
-
-		$is_local = isset( $r['local'] ) && $r['local'];
-		$ssl_verify = isset( $r['sslverify'] ) && $r['sslverify'];
-		if ( $is_local ) {
-			/**
-			 * Filters whether SSL should be verified for local requests.
-			 *
-			 * @since 2.8.0
-			 *
-			 * @param bool $ssl_verify Whether to verify the SSL connection. Default true.
-			 */
-			$ssl_verify = apply_filters( 'https_local_ssl_verify', $ssl_verify );
-		} elseif ( ! $is_local ) {
-			/**
-			 * Filters whether SSL should be verified for non-local requests.
-			 *
-			 * @since 2.8.0
-			 *
-			 * @param bool $ssl_verify Whether to verify the SSL connection. Default true.
-			 */
-			$ssl_verify = apply_filters( 'https_ssl_verify', $ssl_verify );
-		}
-
-		$proxy = new WP_HTTP_Proxy();
-
-		$context = stream_context_create( array(
-			'ssl' => array(
-				'verify_peer' => $ssl_verify,
-				//'CN_match' => $arrURL['host'], // This is handled by self::verify_ssl_certificate()
-				'capture_peer_cert' => $ssl_verify,
-				'SNI_enabled' => true,
-				'cafile' => $r['sslcertificates'],
-				'allow_self_signed' => ! $ssl_verify,
-			)
-		) );
-
-		$timeout = (int) floor( $r['timeout'] );
-		$utimeout = $timeout == $r['timeout'] ? 0 : 1000000 * $r['timeout'] % 1000000;
-		$connect_timeout = max( $timeout, 1 );
-
-		// Store error number.
-		$connection_error = null;
-
-		// Store error string.
-		$connection_error_str = null;
-
-		if ( !WP_DEBUG ) {
-			// In the event that the SSL connection fails, silence the many PHP Warnings.
-			if ( $secure_transport )
-				$error_reporting = error_reporting(0);
-
-			if ( $proxy->is_enabled() && $proxy->send_through_proxy( $url ) )
-				$handle = @stream_socket_client( 'tcp://' . $proxy->host() . ':' . $proxy->port(), $connection_error, $connection_error_str, $connect_timeout, STREAM_CLIENT_CONNECT, $context );
-			else
-				$handle = @stream_socket_client( $connect_host . ':' . $arrURL['port'], $connection_error, $connection_error_str, $connect_timeout, STREAM_CLIENT_CONNECT, $context );
-
-			if ( $secure_transport )
-				error_reporting( $error_reporting );
-
-		} else {
-			if ( $proxy->is_enabled() && $proxy->send_through_proxy( $url ) )
-				$handle = stream_socket_client( 'tcp://' . $proxy->host() . ':' . $proxy->port(), $connection_error, $connection_error_str, $connect_timeout, STREAM_CLIENT_CONNECT, $context );
-			else
-				$handle = stream_socket_client( $connect_host . ':' . $arrURL['port'], $connection_error, $connection_error_str, $connect_timeout, STREAM_CLIENT_CONNECT, $context );
-		}
-
-		if ( false === $handle ) {
-			// SSL connection failed due to expired/invalid cert, or, OpenSSL configuration is broken.
-			if ( $secure_transport && 0 === $connection_error && '' === $connection_error_str )
-				return new WP_Error( 'http_request_failed', __( 'The SSL certificate for the host could not be verified.' ) );
-
-			return new WP_Error('http_request_failed', $connection_error . ': ' . $connection_error_str );
-		}
-
-		// Verify that the SSL certificate is valid for this request.
-		if ( $secure_transport && $ssl_verify && ! $proxy->is_enabled() ) {
-			if ( ! self::verify_ssl_certificate( $handle, $arrURL['host'] ) )
-				return new WP_Error( 'http_request_failed', __( 'The SSL certificate for the host could not be verified.' ) );
-		}
-
-		stream_set_timeout( $handle, $timeout, $utimeout );
-
-		if ( $proxy->is_enabled() && $proxy->send_through_proxy( $url ) ) //Some proxies require full URL in this field.
-			$requestPath = $url;
-		else
-			$requestPath = $arrURL['path'] . ( isset($arrURL['query']) ? '?' . $arrURL['query'] : '' );
-
-		$strHeaders = strtoupper($r['method']) . ' ' . $requestPath . ' HTTP/' . $r['httpversion'] . "\r\n";
-
-		$include_port_in_host_header = (
-			( $proxy->is_enabled() && $proxy->send_through_proxy( $url ) ) ||
-			( 'http'  == $arrURL['scheme'] && 80  != $arrURL['port'] ) ||
-			( 'https' == $arrURL['scheme'] && 443 != $arrURL['port'] )
-		);
-
-		if ( $include_port_in_host_header ) {
-			$strHeaders .= 'Host: ' . $arrURL['host'] . ':' . $arrURL['port'] . "\r\n";
-		} else {
-			$strHeaders .= 'Host: ' . $arrURL['host'] . "\r\n";
-		}
-
-		if ( isset($r['user-agent']) )
-			$strHeaders .= 'User-agent: ' . $r['user-agent'] . "\r\n";
-
-		if ( is_array($r['headers']) ) {
-			foreach ( (array) $r['headers'] as $header => $headerValue )
-				$strHeaders .= $header . ': ' . $headerValue . "\r\n";
-		} else {
-			$strHeaders .= $r['headers'];
-		}
-
-		if ( $proxy->use_authentication() )
-			$strHeaders .= $proxy->authentication_header() . "\r\n";
-
-		$strHeaders .= "\r\n";
-
-		if ( ! is_null($r['body']) )
-			$strHeaders .= $r['body'];
-
-		fwrite($handle, $strHeaders);
-
-		if ( ! $r['blocking'] ) {
-			stream_set_blocking( $handle, 0 );
-			fclose( $handle );
-			return array( 'headers' => array(), 'body' => '', 'response' => array('code' => false, 'message' => false), 'cookies' => array() );
-		}
-
-		$strResponse = '';
-		$bodyStarted = false;
-		$keep_reading = true;
-		$block_size = 4096;
-		if ( isset( $r['limit_response_size'] ) )
-			$block_size = min( $block_size, $r['limit_response_size'] );
-
-		// If streaming to a file setup the file handle.
-		if ( $r['stream'] ) {
-			if ( ! WP_DEBUG )
-				$stream_handle = @fopen( $r['filename'], 'w+' );
-			else
-				$stream_handle = fopen( $r['filename'], 'w+' );
-			if ( ! $stream_handle )
-				return new WP_Error( 'http_request_failed', sprintf( __( 'Could not open handle for fopen() to %s' ), $r['filename'] ) );
-
-			$bytes_written = 0;
-			while ( ! feof($handle) && $keep_reading ) {
-				$block = fread( $handle, $block_size );
-				if ( ! $bodyStarted ) {
-					$strResponse .= $block;
-					if ( strpos( $strResponse, "\r\n\r\n" ) ) {
-						$process = WP_Http::processResponse( $strResponse );
-						$bodyStarted = true;
-						$block = $process['body'];
-						unset( $strResponse );
-						$process['body'] = '';
-					}
-				}
-
-				$this_block_size = strlen( $block );
-
-				if ( isset( $r['limit_response_size'] ) && ( $bytes_written + $this_block_size ) > $r['limit_response_size'] ) {
-					$this_block_size = ( $r['limit_response_size'] - $bytes_written );
-					$block = substr( $block, 0, $this_block_size );
-				}
-
-				$bytes_written_to_file = fwrite( $stream_handle, $block );
-
-				if ( $bytes_written_to_file != $this_block_size ) {
-					fclose( $handle );
-					fclose( $stream_handle );
-					return new WP_Error( 'http_request_failed', __( 'Failed to write request to temporary file.' ) );
-				}
-
-				$bytes_written += $bytes_written_to_file;
-
-				$keep_reading = !isset( $r['limit_response_size'] ) || $bytes_written < $r['limit_response_size'];
-			}
-
-			fclose( $stream_handle );
-
-		} else {
-			$header_length = 0;
-			while ( ! feof( $handle ) && $keep_reading ) {
-				$block = fread( $handle, $block_size );
-				$strResponse .= $block;
-				if ( ! $bodyStarted && strpos( $strResponse, "\r\n\r\n" ) ) {
-					$header_length = strpos( $strResponse, "\r\n\r\n" ) + 4;
-					$bodyStarted = true;
-				}
-				$keep_reading = ( ! $bodyStarted || !isset( $r['limit_response_size'] ) || strlen( $strResponse ) < ( $header_length + $r['limit_response_size'] ) );
-			}
-
-			$process = WP_Http::processResponse( $strResponse );
-			unset( $strResponse );
-
-		}
-
-		fclose( $handle );
-
-		$arrHeaders = WP_Http::processHeaders( $process['headers'], $url );
-
-		$response = array(
-			'headers' => $arrHeaders['headers'],
-			// Not yet processed.
-			'body' => null,
-			'response' => $arrHeaders['response'],
-			'cookies' => $arrHeaders['cookies'],
-			'filename' => $r['filename']
-		);
-
-		// Handle redirects.
-		if ( false !== ( $redirect_response = WP_Http::handle_redirects( $url, $r, $response ) ) )
-			return $redirect_response;
-
-		// If the body was chunk encoded, then decode it.
-		if ( ! empty( $process['body'] ) && isset( $arrHeaders['headers']['transfer-encoding'] ) && 'chunked' == $arrHeaders['headers']['transfer-encoding'] )
-			$process['body'] = WP_Http::chunkTransferDecode($process['body']);
-
-		if ( true === $r['decompress'] && true === WP_Http_Encoding::should_decode($arrHeaders['headers']) )
-			$process['body'] = WP_Http_Encoding::decompress( $process['body'] );
-
-		if ( isset( $r['limit_response_size'] ) && strlen( $process['body'] ) > $r['limit_response_size'] )
-			$process['body'] = substr( $process['body'], 0, $r['limit_response_size'] );
-
-		$response['body'] = $process['body'];
-
-		return $response;
-	}
-
-	/**
-	 * Verifies the received SSL certificate against its Common Names and subjectAltName fields.
-	 *
-	 * PHP's SSL verifications only verify that it's a valid Certificate, it doesn't verify if
-	 * the certificate is valid for the hostname which was requested.
-	 * This function verifies the requested hostname against certificate's subjectAltName field,
-	 * if that is empty, or contains no DNS entries, a fallback to the Common Name field is used.
-	 *
-	 * IP Address support is included if the request is being made to an IP address.
-	 *
-	 * @since 3.7.0
-	 * @static
-	 *
-	 * @param stream $stream The PHP Stream which the SSL request is being made over
-	 * @param string $host The hostname being requested
-	 * @return bool If the cerficiate presented in $stream is valid for $host
-	 */
-	public static function verify_ssl_certificate( $stream, $host ) {
-		$context_options = stream_context_get_options( $stream );
-
-		if ( empty( $context_options['ssl']['peer_certificate'] ) )
-			return false;
-
-		$cert = openssl_x509_parse( $context_options['ssl']['peer_certificate'] );
-		if ( ! $cert )
-			return false;
-
-		/*
-		 * If the request is being made to an IP address, we'll validate against IP fields
-		 * in the cert (if they exist)
-		 */
-		$host_type = ( WP_Http::is_ip_address( $host ) ? 'ip' : 'dns' );
-
-		$certificate_hostnames = array();
-		if ( ! empty( $cert['extensions']['subjectAltName'] ) ) {
-			$match_against = preg_split( '/,\s*/', $cert['extensions']['subjectAltName'] );
-			foreach ( $match_against as $match ) {
-				list( $match_type, $match_host ) = explode( ':', $match );
-				if ( $host_type == strtolower( trim( $match_type ) ) ) // IP: or DNS:
-					$certificate_hostnames[] = strtolower( trim( $match_host ) );
-			}
-		} elseif ( !empty( $cert['subject']['CN'] ) ) {
-			// Only use the CN when the certificate includes no subjectAltName extension.
-			$certificate_hostnames[] = strtolower( $cert['subject']['CN'] );
-		}
-
-		// Exact hostname/IP matches.
-		if ( in_array( strtolower( $host ), $certificate_hostnames ) )
-			return true;
-
-		// IP's can't be wildcards, Stop processing.
-		if ( 'ip' == $host_type )
-			return false;
-
-		// Test to see if the domain is at least 2 deep for wildcard support.
-		if ( substr_count( $host, '.' ) < 2 )
-			return false;
-
-		// Wildcard subdomains certs (*.example.com) are valid for a.example.com but not a.b.example.com.
-		$wildcard_host = preg_replace( '/^[^.]+\./', '*.', $host );
-
-		return in_array( strtolower( $wildcard_host ), $certificate_hostnames );
-	}
-
-	/**
-	 * Determines whether this class can be used for retrieving a URL.
-	 *
-	 * @static
-	 * @access public
-	 * @since 2.7.0
-	 * @since 3.7.0 Combined with the fsockopen transport and switched to stream_socket_client().
-	 *
-	 * @param array $args Optional. Array of request arguments. Default empty array.
-	 * @return bool False means this class can not be used, true means it can.
-	 */
-	public static function test( $args = array() ) {
-		if ( ! function_exists( 'stream_socket_client' ) )
-			return false;
-
-		$is_ssl = isset( $args['ssl'] ) && $args['ssl'];
-
-		if ( $is_ssl ) {
-			if ( ! extension_loaded( 'openssl' ) )
-				return false;
-			if ( ! function_exists( 'openssl_x509_parse' ) )
-				return false;
-		}
-
-		/**
-		 * Filters whether streams can be used as a transport for retrieving a URL.
-		 *
-		 * @since 2.7.0
-		 *
-		 * @param bool  $use_class Whether the class can be used. Default true.
-		 * @param array $args      Request arguments.
-		 */
-		return apply_filters( 'use_streams_transport', true, $args );
-	}
-}
-
-/**
- * Deprecated HTTP Transport method which used fsockopen.
- *
- * This class is not used, and is included for backward compatibility only.
- * All code should make use of WP_Http directly through its API.
- *
- * @see WP_HTTP::request
- *
- * @since 2.7.0
- * @deprecated 3.7.0 Please use WP_HTTP::request() directly
- */
-class WP_HTTP_Fsockopen extends WP_HTTP_Streams {
-	// For backward compatibility for users who are using the class directly.
-}
Index: src/wp-includes/class-wp-http-encoding.php
===================================================================
--- src/wp-includes/class-wp-http-encoding.php	(revision 38247)
+++ src/wp-includes/class-wp-http-encoding.php	(working copy)
@@ -1,228 +0,0 @@
-<?php
-/**
- * HTTP API: WP_Http_Encoding class
- *
- * @package WordPress
- * @subpackage HTTP
- * @since 4.4.0
- */
-
-/**
- * Core class used to implement deflate and gzip transfer encoding support for HTTP requests.
- *
- * Includes RFC 1950, RFC 1951, and RFC 1952.
- *
- * @since 2.8.0
- */
-class WP_Http_Encoding {
-
-	/**
-	 * Compress raw string using the deflate format.
-	 *
-	 * Supports the RFC 1951 standard.
-	 *
-	 * @since 2.8.0
-	 *
-	 * @static
-	 *
-	 * @param string $raw String to compress.
-	 * @param int $level Optional, default is 9. Compression level, 9 is highest.
-	 * @param string $supports Optional, not used. When implemented it will choose the right compression based on what the server supports.
-	 * @return string|false False on failure.
-	 */
-	public static function compress( $raw, $level = 9, $supports = null ) {
-		return gzdeflate( $raw, $level );
-	}
-
-	/**
-	 * Decompression of deflated string.
-	 *
-	 * Will attempt to decompress using the RFC 1950 standard, and if that fails
-	 * then the RFC 1951 standard deflate will be attempted. Finally, the RFC
-	 * 1952 standard gzip decode will be attempted. If all fail, then the
-	 * original compressed string will be returned.
-	 *
-	 * @since 2.8.0
-	 *
-	 * @static
-	 *
-	 * @param string $compressed String to decompress.
-	 * @param int $length The optional length of the compressed data.
-	 * @return string|bool False on failure.
-	 */
-	public static function decompress( $compressed, $length = null ) {
-
-		if ( empty($compressed) )
-			return $compressed;
-
-		if ( false !== ( $decompressed = @gzinflate( $compressed ) ) )
-			return $decompressed;
-
-		if ( false !== ( $decompressed = self::compatible_gzinflate( $compressed ) ) )
-			return $decompressed;
-
-		if ( false !== ( $decompressed = @gzuncompress( $compressed ) ) )
-			return $decompressed;
-
-		if ( function_exists('gzdecode') ) {
-			$decompressed = @gzdecode( $compressed );
-
-			if ( false !== $decompressed )
-				return $decompressed;
-		}
-
-		return $compressed;
-	}
-
-	/**
-	 * Decompression of deflated string while staying compatible with the majority of servers.
-	 *
-	 * Certain Servers will return deflated data with headers which PHP's gzinflate()
-	 * function cannot handle out of the box. The following function has been created from
-	 * various snippets on the gzinflate() PHP documentation.
-	 *
-	 * Warning: Magic numbers within. Due to the potential different formats that the compressed
-	 * data may be returned in, some "magic offsets" are needed to ensure proper decompression
-	 * takes place. For a simple progmatic way to determine the magic offset in use, see:
-	 * https://core.trac.wordpress.org/ticket/18273
-	 *
-	 * @since 2.8.1
-	 * @link https://core.trac.wordpress.org/ticket/18273
-	 * @link https://secure.php.net/manual/en/function.gzinflate.php#70875
-	 * @link https://secure.php.net/manual/en/function.gzinflate.php#77336
-	 *
-	 * @static
-	 *
-	 * @param string $gzData String to decompress.
-	 * @return string|bool False on failure.
-	 */
-	public static function compatible_gzinflate($gzData) {
-
-		// Compressed data might contain a full header, if so strip it for gzinflate().
-		if ( substr($gzData, 0, 3) == "\x1f\x8b\x08" ) {
-			$i = 10;
-			$flg = ord( substr($gzData, 3, 1) );
-			if ( $flg > 0 ) {
-				if ( $flg & 4 ) {
-					list($xlen) = unpack('v', substr($gzData, $i, 2) );
-					$i = $i + 2 + $xlen;
-				}
-				if ( $flg & 8 )
-					$i = strpos($gzData, "\0", $i) + 1;
-				if ( $flg & 16 )
-					$i = strpos($gzData, "\0", $i) + 1;
-				if ( $flg & 2 )
-					$i = $i + 2;
-			}
-			$decompressed = @gzinflate( substr($gzData, $i, -8) );
-			if ( false !== $decompressed )
-				return $decompressed;
-		}
-
-		// Compressed data from java.util.zip.Deflater amongst others.
-		$decompressed = @gzinflate( substr($gzData, 2) );
-		if ( false !== $decompressed )
-			return $decompressed;
-
-		return false;
-	}
-
-	/**
-	 * What encoding types to accept and their priority values.
-	 *
-	 * @since 2.8.0
-	 *
-	 * @static
-	 *
-	 * @param string $url
-	 * @param array  $args
-	 * @return string Types of encoding to accept.
-	 */
-	public static function accept_encoding( $url, $args ) {
-		$type = array();
-		$compression_enabled = self::is_available();
-
-		if ( ! $args['decompress'] ) // Decompression specifically disabled.
-			$compression_enabled = false;
-		elseif ( $args['stream'] ) // Disable when streaming to file.
-			$compression_enabled = false;
-		elseif ( isset( $args['limit_response_size'] ) ) // If only partial content is being requested, we won't be able to decompress it.
-			$compression_enabled = false;
-
-		if ( $compression_enabled ) {
-			if ( function_exists( 'gzinflate' ) )
-				$type[] = 'deflate;q=1.0';
-
-			if ( function_exists( 'gzuncompress' ) )
-				$type[] = 'compress;q=0.5';
-
-			if ( function_exists( 'gzdecode' ) )
-				$type[] = 'gzip;q=0.5';
-		}
-
-		/**
-		 * Filters the allowed encoding types.
-		 *
-		 * @since 3.6.0
-		 *
-		 * @param array  $type Encoding types allowed. Accepts 'gzinflate',
-		 *                     'gzuncompress', 'gzdecode'.
-		 * @param string $url  URL of the HTTP request.
-		 * @param array  $args HTTP request arguments.
-		 */
-		$type = apply_filters( 'wp_http_accept_encoding', $type, $url, $args );
-
-		return implode(', ', $type);
-	}
-
-	/**
-	 * What encoding the content used when it was compressed to send in the headers.
-	 *
-	 * @since 2.8.0
-	 *
-	 * @static
-	 *
-	 * @return string Content-Encoding string to send in the header.
-	 */
-	public static function content_encoding() {
-		return 'deflate';
-	}
-
-	/**
-	 * Whether the content be decoded based on the headers.
-	 *
-	 * @since 2.8.0
-	 *
-	 * @static
-	 *
-	 * @param array|string $headers All of the available headers.
-	 * @return bool
-	 */
-	public static function should_decode($headers) {
-		if ( is_array( $headers ) ) {
-			if ( array_key_exists('content-encoding', $headers) && ! empty( $headers['content-encoding'] ) )
-				return true;
-		} elseif ( is_string( $headers ) ) {
-			return ( stripos($headers, 'content-encoding:') !== false );
-		}
-
-		return false;
-	}
-
-	/**
-	 * Whether decompression and compression are supported by the PHP version.
-	 *
-	 * Each function is tested instead of checking for the zlib extension, to
-	 * ensure that the functions all exist in the PHP version and aren't
-	 * disabled.
-	 *
-	 * @since 2.8.0
-	 *
-	 * @static
-	 *
-	 * @return bool
-	 */
-	public static function is_available() {
-		return ( function_exists('gzuncompress') || function_exists('gzdeflate') || function_exists('gzinflate') );
-	}
-}
Index: tests/phpunit/tests/http/base.php
===================================================================
--- tests/phpunit/tests/http/base.php	(revision 38247)
+++ tests/phpunit/tests/http/base.php	(working copy)
@@ -1,380 +0,0 @@
-<?php
-/**
- * Note, When running these tests, remember that some things are done differently
- * based on safe_mode. You can run the test in safe_mode like such:
- *
- *   phpunit -d safe_mode=on --group http
- *
- * You may also need `-d safe_mode_gid=1` to relax the safe_mode checks to allow
- * inclusion of PEAR.
- *
- * The WP_HTTP tests require a class-http.php file of r17550 or later.
- */
-abstract class WP_HTTP_UnitTestCase extends WP_UnitTestCase {
-	// You can use your own version of data/WPHTTP-testcase-redirection-script.php here.
-	var $redirection_script = 'http://api.wordpress.org/core/tests/1.0/redirection.php';
-	var $fileStreamUrl = 'http://s.w.org/screenshots/3.9/dashboard.png';
-
-	protected $http_request_args;
-
-	/**
-	 * Mark test as skipped if the HTTP request times out
-	 */
-	function skipTestOnTimeout( $response ) {
-		if( ! is_wp_error( $response ) ){
-			return;
-		}
-		if ( 'connect() timed out!' === $response->get_error_message() ){
-			$this->markTestSkipped( 'HTTP timeout' );
-		}
-
-		if ( 0 === strpos( $response->get_error_message(), 'Operation timed out after' ) ){
-			$this->markTestSkipped( 'HTTP timeout' );
-		}
-
-		if ( 0 === strpos( $response->get_error_message(), 'stream_socket_client(): unable to connect to tcp://s.w.org:80' ) ) {
-			$this->markTestSkipped( 'HTTP timeout' );
-		}
-
-	}
-
-	function setUp() {
-
-		if ( is_callable( array('WP_Http', '_getTransport') ) ) {
-			$this->markTestSkipped('The WP_Http tests require a class-http.php file of r17550 or later.');
-			return;
-		}
-
-		$class = "WP_Http_" . $this->transport;
-		if ( !call_user_func( array($class, 'test') ) ) {
-			$this->markTestSkipped( sprintf('The transport %s is not supported on this system', $this->transport) );
-		}
-
-		// Disable all transports aside from this one.
-		foreach ( array( 'curl', 'streams', 'fsockopen' ) as $t ) {
-			remove_filter( "use_{$t}_transport", '__return_false' ); // Just strip them all
-			if ( $t != $this->transport )
-				add_filter( "use_{$t}_transport", '__return_false' ); // and add it back if need be..
-		}
-	}
-
-	function tearDown() {
-		foreach ( array( 'curl', 'streams', 'fsockopen' ) as $t ) {
-			remove_filter( "use_{$t}_transport", '__return_false' );
-		}
-		parent::tearDown();
-	}
-
-	function filter_http_request_args( array $args ) {
-		$this->http_request_args = $args;
-		return $args;
-	}
-
-	function test_redirect_on_301() {
-		// 5 : 5 & 301
-		$res = wp_remote_request($this->redirection_script . '?code=301&rt=' . 5, array('redirection' => 5) );
-		$this->assertNotWPError( $res );
-		$this->assertEquals(200, (int)$res['response']['code'] );
-	}
-
-	function test_redirect_on_302() {
-		// 5 : 5 & 302
-		$res = wp_remote_request($this->redirection_script . '?code=302&rt=' . 5, array('redirection' => 5) );
-		$this->assertNotWPError( $res );
-		$this->assertEquals(200, (int)$res['response']['code'] );
-	}
-
-	/**
-	 * @ticket 16855
-	 */
-	function test_redirect_on_301_no_redirect() {
-		// 5 > 0 & 301
-		$res = wp_remote_request($this->redirection_script . '?code=301&rt=' . 5, array('redirection' => 0) );
-		$this->assertNotWPError( $res );
-		$this->assertEquals(301, (int)$res['response']['code'] );
-	}
-
-	/**
-	 * @ticket 16855
-	 */
-	function test_redirect_on_302_no_redirect() {
-		// 5 > 0 & 302
-		$res = wp_remote_request($this->redirection_script . '?code=302&rt=' . 5, array('redirection' => 0) );
-		$this->assertNotWPError( $res );
-		$this->assertEquals(302, (int)$res['response']['code'] );
-	}
-
-	function test_redirections_equal() {
-		// 5 - 5
-		$res = wp_remote_request($this->redirection_script . '?rt=' . 5, array('redirection' => 5) );
-		$this->assertNotWPError( $res );
-		$this->assertEquals(200, (int)$res['response']['code'] );
-	}
-
-	function test_no_head_redirections() {
-		// No redirections on HEAD request:
-		$res = wp_remote_request($this->redirection_script . '?code=302&rt=' . 1, array('method' => 'HEAD') );
-		$this->assertNotWPError( $res );
-		$this->assertEquals( 302, (int)$res['response']['code'] );
-	}
-
-	/**
-	 * @ticket 16855
-	 */
-	function test_redirect_on_head() {
-		// Redirections on HEAD request when Requested
-		$res = wp_remote_request($this->redirection_script . '?rt=' . 5, array('redirection' => 5, 'method' => 'HEAD') );
-		$this->assertNotWPError( $res );
-		$this->assertEquals( 200, (int)$res['response']['code'] );
-	}
-
-	function test_redirections_greater() {
-		// 10 > 5
-		$res = wp_remote_request($this->redirection_script . '?rt=' . 10, array('redirection' => 5) );
-		$this->assertTrue( is_wp_error($res), print_r($res, true) );
-	}
-
-	function test_redirections_greater_edgecase() {
-		// 6 > 5 (close edgecase)
-		$res = wp_remote_request($this->redirection_script . '?rt=' . 6, array('redirection' => 5) );
-		$this->assertTrue( is_wp_error($res) );
-	}
-
-	function test_redirections_less_edgecase() {
-		// 4 < 5 (close edgecase)
-		$res = wp_remote_request($this->redirection_script . '?rt=' . 4, array('redirection' => 5) );
-		$this->assertNotWPError( $res );
-	}
-
-	/**
-	 * @ticket 16855
-	 */
-	function test_redirections_zero_redirections_specified() {
-		// 0 redirections asked for, Should return the document?
-		$res = wp_remote_request($this->redirection_script . '?code=302&rt=' . 5, array('redirection' => 0) );
-		$this->assertNotWPError( $res );
-		$this->assertEquals( 302, (int)$res['response']['code'] );
-	}
-
-	/**
-	 * Do not redirect on non 3xx status codes
-	 *
-	 * @ticket 16889
-	 */
-	function test_location_header_on_201() {
-		// Prints PASS on initial load, FAIL if the client follows the specified redirection
-		$res = wp_remote_request( $this->redirection_script . '?201-location=true' );
-		$this->assertNotWPError( $res );
-		$this->assertEquals( 'PASS', $res['body']);
-	}
-
-	/**
-	 * Test handling of PUT requests on redirects
-	 *
-	 * @ticket 16889
-	 */
-	function test_no_redirection_on_PUT() {
-		$url = 'http://api.wordpress.org/core/tests/1.0/redirection.php?201-location=1';
-
-		// Test 301 - POST to POST
-		$res = wp_remote_request( $url, array( 'method' => 'PUT', 'timeout' => 30 ) );
-		$this->assertEquals( 'PASS', wp_remote_retrieve_body( $res ) );
-		$this->assertTrue( !empty( $res['headers']['location'] ) );
-	}
-
-	/**
-	 * @ticket 11888
-	 */
-	function test_send_headers() {
-		// Test that the headers sent are recieved by the server
-		$headers = array('test1' => 'test', 'test2' => 0, 'test3' => '');
-		$res = wp_remote_request( $this->redirection_script . '?header-check', array('headers' => $headers) );
-
-		$this->assertNotWPError( $res );
-
-		$headers = array();
-		foreach ( explode("\n", $res['body']) as $key => $value ) {
-			if ( empty($value) )
-				continue;
-			$parts = explode(':', $value,2);
-			unset($headers[$key]);
-			$headers[ $parts[0] ] = $parts[1];
-		}
-
-		$this->assertTrue( isset($headers['test1']) && 'test' == $headers['test1'] );
-		$this->assertTrue( isset($headers['test2']) && '0' === $headers['test2'] );
-		// cURL/HTTP Extension Note: Will never pass, cURL does not pass headers with an empty value.
-		// Should it be that empty headers with empty values are NOT sent?
-		//$this->assertTrue( isset($headers['test3']) && '' === $headers['test3'] );
-	}
-
-	function test_file_stream() {
-		$url = $this->fileStreamUrl;
-		$size = 153204;
-		$res = wp_remote_request( $url, array( 'stream' => true, 'timeout' => 30 ) ); //Auto generate the filename.
-
-		// Cleanup before we assert, as it'll return early.
-		if ( ! is_wp_error( $res ) ) {
-			$filesize = filesize( $res['filename'] );
-			unlink( $res['filename'] );
-		}
-
-		$this->skipTestOnTimeout( $res );
-
-		$this->assertNotWPError( $res );
-		$this->assertEquals( '', $res['body'] ); // The body should be empty.
-		$this->assertEquals( $size, $res['headers']['content-length'] ); // Check the headers are returned (and the size is the same..)
-		$this->assertEquals( $size, $filesize ); // Check that the file is written to disk correctly without any extra characters
-		$this->assertStringStartsWith( get_temp_dir(), $res['filename'] ); // Check it's saving within the temp dir
-	}
-
-	/**
-	 * @ticket 26726
-	 */
-	function test_file_stream_limited_size() {
-		$url = $this->fileStreamUrl;
-		$size = 10000;
-		$res = wp_remote_request( $url, array( 'stream' => true, 'timeout' => 30, 'limit_response_size' => $size ) ); //Auto generate the filename.
-
-		// Cleanup before we assert, as it'll return early.
-		if ( ! is_wp_error( $res ) ) {
-			$filesize = filesize( $res['filename'] );
-			unlink( $res['filename'] );
-		}
-
-		$this->skipTestOnTimeout( $res );
-
-		$this->assertNotWPError( $res );
-		$this->assertEquals( $size, $filesize ); // Check that the file is written to disk correctly without any extra characters
-
-	}
-
-	/**
-	 * Tests Limiting the response size when returning strings
-	 *
-	 * @ticket 31172
-	 */
-	function test_request_limited_size() {
-		$url = $this->fileStreamUrl;
-		$size = 10000;
-
-		$res = wp_remote_request( $url, array( 'timeout' => 30, 'limit_response_size' => $size ) );
-
-		$this->skipTestOnTimeout( $res );
-
-		$this->assertNotWPError( $res );
-		$this->assertEquals( $size, strlen( $res['body'] ) );
-	}
-
-	/**
-	 * Test POST redirection methods
-	 *
-	 * @ticket 17588
-	 */
-	function test_post_redirect_to_method_300() {
-		$url = 'http://api.wordpress.org/core/tests/1.0/redirection.php?post-redirect-to-method=1';
-
-		// Test 300 - POST to POST
-		$res = wp_remote_post( add_query_arg( 'response_code', 300, $url ), array( 'timeout' => 30 ) );
-		$this->assertEquals( 'POST', wp_remote_retrieve_body( $res ) );
-
-		// Test 301 - POST to POST
-		$res = wp_remote_post( add_query_arg( 'response_code', 301, $url ), array( 'timeout' => 30 ) );
-		$this->assertEquals( 'POST', wp_remote_retrieve_body( $res ) );
-
-		// Test 302 - POST to GET
-		$res = wp_remote_post( add_query_arg( 'response_code', 302, $url ), array( 'timeout' => 30 ) );
-		$this->assertEquals( 'GET', wp_remote_retrieve_body( $res ) );
-
-		// Test 303 - POST to GET
-		$res = wp_remote_post( add_query_arg( 'response_code', 303, $url ), array( 'timeout' => 30 ) );
-		$this->assertEquals( 'GET', wp_remote_retrieve_body( $res ) );
-	}
-
-	/**
-	 * Test HTTP Requests using an IP url, with a HOST header specified
-	 *
-	 * @ticket 24182
-	 */
-	function test_ip_url_with_host_header() {
-		$ip = gethostbyname( 'api.wordpress.org' );
-		$url = 'http://' . $ip . '/core/tests/1.0/redirection.php?print-pass=1';
-		$args = array(
-			'headers' => array(
-				'Host' => 'api.wordpress.org',
-			),
-			'timeout' => 30,
-			'redirection' => 0,
-		);
-
-		$res = wp_remote_get( $url, $args );
-		$this->assertEquals( 'PASS', wp_remote_retrieve_body( $res ) );
-
-	}
-
-	/**
-	 * Test HTTP requests where SSL verification is disabled but the CA bundle is still populated
-	 *
-	 * @ticket 33978
-	 */
-	function test_https_url_without_ssl_verification() {
-		$url = 'https://wordpress.org/';
-		$args = array(
-			'sslverify' => false,
-		);
-
-		add_filter( 'http_request_args', array( $this, 'filter_http_request_args' ) );
-
-		$res = wp_remote_head( $url, $args );
-
-		remove_filter( 'http_request_args', array( $this, 'filter_http_request_args' ) );
-
-		$this->assertNotEmpty( $this->http_request_args['sslcertificates'] );
-		$this->assertNotWPError( $res );
-	}
-
-	/**
-	 * Test HTTP Redirects with multiple Location headers specified
-	 *
-	 * @ticket 16890
-	 */
-	function test_multiple_location_headers() {
-		$url = 'http://api.wordpress.org/core/tests/1.0/redirection.php?multiple-location-headers=1';
-		$res = wp_remote_head( $url, array( 'timeout' => 30 ) );
-
-		$this->assertInternalType( 'array', wp_remote_retrieve_header( $res, 'location' ) );
-		$this->assertCount( 2, wp_remote_retrieve_header( $res, 'location' ) );
-
-		$res = wp_remote_get( $url, array( 'timeout' => 30 ) );
-		$this->assertEquals( 'PASS', wp_remote_retrieve_body( $res ) );
-
-	}
-
-	/**
-	 * Test HTTP Cookie handling
-	 *
-	 * @ticket 21182
-	 */
-	function test_cookie_handling() {
-		$url = 'http://api.wordpress.org/core/tests/1.0/redirection.php?cookie-test=1';
-
-		$res = wp_remote_get( $url );
-		$this->assertEquals( 'PASS', wp_remote_retrieve_body( $res ) );
-	}
-
-	/**
-	 * Test if HTTPS support works
-	 *
-	 * @group ssl
-	 * @ticket 25007
-	 */
-	function test_ssl() {
-		if ( ! wp_http_supports( array( 'ssl' ) ) )
-			$this->markTestSkipped( 'This install of PHP does not support SSL' );
-
-		$res = wp_remote_get( 'https://wordpress.org/' );
-		$this->assertTrue( ! is_wp_error( $res ), print_r( $res, true ) );
-	}
-
-
-}
Index: tests/phpunit/tests/http/curl.php
===================================================================
--- tests/phpunit/tests/http/curl.php	(revision 38247)
+++ tests/phpunit/tests/http/curl.php	(working copy)
@@ -1,11 +0,0 @@
-<?php
-
-require_once dirname( __FILE__ ) . '/base.php';
-
-/**
- * @group http
- * @group external-http
- */
-class Tests_HTTP_curl extends WP_HTTP_UnitTestCase {
-	var $transport = 'curl';
-}
Index: tests/phpunit/tests/http/external.php
===================================================================
--- tests/phpunit/tests/http/external.php	(working copy)
+++ tests/phpunit/tests/http/external.php	(working copy)
@@ -1,82 +1,56 @@
 <?php
 /**
  * Note, When running these tests, remember that some things are done differently
  * based on safe_mode. You can run the test in safe_mode like such:
  *
  *   phpunit -d safe_mode=on --group http
  *
  * You may also need `-d safe_mode_gid=1` to relax the safe_mode checks to allow
  * inclusion of PEAR.
  *
- * The WP_HTTP tests require a class-http.php file of r17550 or later.
+ * @group http
+ * @group external-http
  */
-abstract class WP_HTTP_UnitTestCase extends WP_UnitTestCase {
+class WP_HTTP_External_Tests extends WP_UnitTestCase {
 	// You can use your own version of data/WPHTTP-testcase-redirection-script.php here.
 	var $redirection_script = 'http://api.wordpress.org/core/tests/1.0/redirection.php';
 	var $fileStreamUrl = 'http://s.w.org/screenshots/3.9/dashboard.png';
 
 	protected $http_request_args;
 
 	/**
 	 * Mark test as skipped if the HTTP request times out
 	 */
 	function skipTestOnTimeout( $response ) {
 		if( ! is_wp_error( $response ) ){
 			return;
 		}
 		if ( 'connect() timed out!' === $response->get_error_message() ){
 			$this->markTestSkipped( 'HTTP timeout' );
 		}
 
 		if ( 0 === strpos( $response->get_error_message(), 'Operation timed out after' ) ){
 			$this->markTestSkipped( 'HTTP timeout' );
 		}
 
 		if ( 0 === strpos( $response->get_error_message(), 'stream_socket_client(): unable to connect to tcp://s.w.org:80' ) ) {
 			$this->markTestSkipped( 'HTTP timeout' );
 		}
 
 	}
 
-	function setUp() {
-
-		if ( is_callable( array('WP_Http', '_getTransport') ) ) {
-			$this->markTestSkipped('The WP_Http tests require a class-http.php file of r17550 or later.');
-			return;
-		}
-
-		$class = "WP_Http_" . $this->transport;
-		if ( !call_user_func( array($class, 'test') ) ) {
-			$this->markTestSkipped( sprintf('The transport %s is not supported on this system', $this->transport) );
-		}
-
-		// Disable all transports aside from this one.
-		foreach ( array( 'curl', 'streams', 'fsockopen' ) as $t ) {
-			remove_filter( "use_{$t}_transport", '__return_false' ); // Just strip them all
-			if ( $t != $this->transport )
-				add_filter( "use_{$t}_transport", '__return_false' ); // and add it back if need be..
-		}
-	}
-
-	function tearDown() {
-		foreach ( array( 'curl', 'streams', 'fsockopen' ) as $t ) {
-			remove_filter( "use_{$t}_transport", '__return_false' );
-		}
-		parent::tearDown();
-	}
-
 	function filter_http_request_args( array $args ) {
 		$this->http_request_args = $args;
 		return $args;
 	}
 
 	function test_redirect_on_301() {
 		// 5 : 5 & 301
 		$res = wp_remote_request($this->redirection_script . '?code=301&rt=' . 5, array('redirection' => 5) );
 		$this->assertNotWPError( $res );
 		$this->assertEquals(200, (int)$res['response']['code'] );
 	}
 
 	function test_redirect_on_302() {
 		// 5 : 5 & 302
 		$res = wp_remote_request($this->redirection_script . '?code=302&rt=' . 5, array('redirection' => 5) );
Index: tests/phpunit/tests/http/http.php
===================================================================
--- tests/phpunit/tests/http/http.php	(revision 38247)
+++ tests/phpunit/tests/http/http.php	(working copy)
@@ -1,19 +1,17 @@
 <?php
 /**
- * Non-transport-specific WP_HTTP Tests
- *
  * @group http
  */
 class Tests_HTTP_HTTP extends WP_UnitTestCase {
 
 	/**
 	 * @dataProvider make_absolute_url_testcases
 	 */
 	function test_make_absolute_url( $relative_url, $absolute_url, $expected ) {
 		if ( ! is_callable( array( 'WP_Http', 'make_absolute_url' ) ) ) {
 			$this->markTestSkipped( "This version of WP_HTTP doesn't support WP_HTTP::make_absolute_url()" );
 			return;
 		}
 
 		$actual = WP_Http::make_absolute_url( $relative_url, $absolute_url );
 		$this->assertEquals( $expected, $actual );
Index: tests/phpunit/tests/http/streams.php
===================================================================
--- tests/phpunit/tests/http/streams.php	(revision 38247)
+++ tests/phpunit/tests/http/streams.php	(working copy)
@@ -1,11 +0,0 @@
-<?php
-
-require_once dirname( __FILE__ ) . '/base.php';
-
-/**
- * @group http
- * @group external-http
- */
-class Tests_HTTP_streams extends WP_HTTP_UnitTestCase {
-	var $transport = 'streams';
-}
